package com.miaxis.extension.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.extension.domain.WxExtensionIncome;

import java.math.BigDecimal;
import java.util.List;

/**
 * 分成收益Service接口
 * @author wwl
 * @version 1.0
 * @date 2021/11/4 14:37
 */
public interface IWxExtensionIncomeService extends IService<WxExtensionIncome> {

    /**
     * 查询分成收益列表
     *
     * @param wxExtensionIncome 分成收益
     * @return 分成收益集合
     */
    List<WxExtensionIncome> selectWxExtensionIncomeList(WxExtensionIncome wxExtensionIncome);


    /**
     * 新增收益信息
     * @param outTradeNo  商户订单号
     * @param openid 用户openid
     * @param total 订单金额
     * @return
     */
    void addExtensionIncomeBySourceId(String outTradeNo, String openid, Integer total);

}
