package com.miaxis.qustion.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.miaxis.qustion.domain.QuestionCollection;
import com.miaxis.qustion.dto.QuestionCollectionListDTO;
import com.miaxis.qustion.mapper.QuestionCollectionMapper;
import com.miaxis.qustion.service.IQuestionCollectionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * collectionService业务层处理
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Service
public class QuestionCollectionServiceImpl extends ServiceImpl<QuestionCollectionMapper, QuestionCollection> implements IQuestionCollectionService {

    @Autowired
    private QuestionCollectionMapper questionCollectionMapper;

    /**
     * 查询collection列表
     *
     * @param questionCollection collection
     * @return collection
     */
    @Override
    public List<QuestionCollection> selectQuestionCollectionList(QuestionCollectionListDTO questionCollection){
        return questionCollectionMapper.selectQuestionCollectionList(questionCollection);
    }

}
